searchNodes=[{"doc":"Req plugin for AWS Athena . ReqAthena makes it easy to make Athena queries. Query results are decoded into the ReqAthena.Result struct. The struct implements the Table.Reader protocol and thus can be efficiently traversed by rows or columns.","ref":"ReqAthena.html","title":"ReqAthena","type":"module"},{"doc":"Attaches to Req request. Request Options :access_key_id - Required. The Access Key ID from AWS credentials. :secret_access_key - Required. The Secret Access Key from AWS credentials. :region - Required. The AWS region where AWS Athena is installed. :database - Required. The AWS Athena database name. :output_location - Required. The S3 url location to output AWS Athena query results. :athena - Required. The query to execute. It can be a plain sql string or a {query, params} tuple, where query can contain ? placeholders and params is a list of corresponding values. If you want to set any of these options when attaching the plugin, pass them as the second argument. Examples With plain query string: iex&gt; opts = [ ...&gt; access_key_id : System . fetch_env! ( &quot;AWS_ACCESS_KEY_ID&quot; ) , ...&gt; secret_access_key : System . fetch_env! ( &quot;AWS_SECRET_ACCESS_KEY&quot; ) , ...&gt; region : System . fetch_env! ( &quot;AWS_REGION&quot; ) , ...&gt; database : &quot;default&quot; , ...&gt; output_location : System . fetch_env! ( &quot;AWS_ATHENA_OUTPUT_LOCATION&quot; ) ...&gt; ] iex&gt; query = &quot;SELECT id, type, tags, members, timestamp, visible FROM planet WHERE id = 470454 and type = &#39;relation&#39;&quot; iex&gt; req = Req . new ( ) |&gt; ReqAthena . attach ( opts ) iex&gt; Req . post! ( req , athena : query ) . body % ReqAthena.Result { columns : [ &quot;id&quot; , &quot;type&quot; , &quot;tags&quot; , &quot;members&quot; , &quot;timestamp&quot; , &quot;visible&quot; ] , output_location : &quot;s3://my-bucket/c594d5df-9879-4bf7-8796-780e0b87a673.csv&quot; , query_execution_id : &quot;c594d5df-9879-4bf7-8796-780e0b87a673&quot; , rows : [ [ 470454 , &quot;relation&quot; , &quot;{ref=17229A, site=geodesic, name=Mérignac A, source=©IGN 2010 dans le cadre de la cartographie réglementaire, type=site, url=http://geodesie.ign.fr/fiches/index.php?module=e&amp;action=fichepdf&amp;source=carte&amp;sit_no=17229A, network=NTF-5}&quot; , &quot;[{type=node, ref=670007839, role=}, {type=node, ref=670007840, role=}]&quot; , ~N[2017-01-21 12:51:34.000] , true ] ] , statement_name : nil } With parameterized query: iex&gt; opts = [ ...&gt; access_key_id : System . fetch_env! ( &quot;AWS_ACCESS_KEY_ID&quot; ) , ...&gt; secret_access_key : System . fetch_env! ( &quot;AWS_SECRET_ACCESS_KEY&quot; ) , ...&gt; region : System . fetch_env! ( &quot;AWS_REGION&quot; ) , ...&gt; database : &quot;default&quot; , ...&gt; output_location : System . fetch_env! ( &quot;AWS_ATHENA_OUTPUT_LOCATION&quot; ) ...&gt; ] iex&gt; query = &quot;SELECT id, type FROM planet WHERE id = ? and type = ?&quot; iex&gt; req = Req . new ( ) |&gt; ReqAthena . attach ( opts ) iex&gt; Req . post! ( req , athena : { query , [ 239_970_142 , &quot;node&quot; ] } ) . body % ReqAthena.Result { columns : [ &quot;id&quot; , &quot;type&quot; ] , output_location : &quot;s3://my-bucket/dda41d66-1eea-4588-850a-945c9def9163.csv&quot; , query_execution_id : &quot;dda41d66-1eea-4588-850a-945c9def9163&quot; , rows : [ [ 239_970_142 , &quot;node&quot; ] ] , statement_name : &quot;query_C71EF77B8B7B92D9846C6D7E70136448&quot; }","ref":"ReqAthena.html#attach/2","title":"ReqAthena.attach/2","type":"function"},{"doc":"Result struct returned from any successful query. Its fields are: columns - The column names; rows - The result set. A list of lists, each inner list corresponding to a row, each element in the inner list corresponds to a column; statement_name - The statement name from executed query; query_execution_id - The id from executed query; output_location - The S3 url location where the result was output.","ref":"ReqAthena.Result.html","title":"ReqAthena.Result","type":"module"},{"doc":"","ref":"ReqAthena.Result.html#t:t/0","title":"ReqAthena.Result.t/0","type":"type"},{"doc":"Req plugin for AWS Athena . ReqAthena makes it easy to make Athena queries. Query results are decoded into the ReqAthena.Result struct. The struct implements the Table.Reader protocol and thus can be efficiently traversed by rows or columns.","ref":"readme.html","title":"ReqAthena","type":"extras"},{"doc":"Mix . install ( [ { :req , &quot;~&gt; 0.3.0&quot; } , { :req_athena , &quot;~&gt; 0.1.0&quot; } ] ) opts = [ access_key_id : System . fetch_env! ( &quot;AWS_ACCESS_KEY_ID&quot; ) , secret_access_key : System . fetch_env! ( &quot;AWS_SECRET_ACCESS_KEY&quot; ) , region : System . fetch_env! ( &quot;AWS_REGION&quot; ) , database : &quot;default&quot; , output_location : &quot;s3://my-bucket&quot; ] req = Req . new ( ) |&gt; ReqAthena . attach ( opts ) # Create table from Registry of Open Data on AWS # See: https://registry.opendata.aws/osm/ query = \\ &quot;&quot; &quot; CREATE TABLE IF NOT EXISTS planet ( id BIGINT, type STRING, tags MAP&lt;STRING,STRING&gt;, lat DECIMAL(9,7), lon DECIMAL(10,7), nds ARRAY&lt;STRUCT&lt;REF:BIGINT&gt;&gt;, members ARRAY&lt;STRUCT&lt;TYPE:STRING,REF:BIGINT,ROLE:STRING&gt;&gt;, changeset BIGINT, timestamp TIMESTAMP, uid BIGINT, user STRING, version BIGINT, visible BOOLEAN ) STORED AS ORCFILE LOCATION &#39;s3://osm-pds/planet/&#39;; \\&quot; &quot; &quot; Req.post!(req, athena: query).body #=&gt; # %ReqAthena.Result{ # columns: [], # output_location: &quot; s3 :// my - bucket / a034610b - daaf - 4 c8d - aa61 - d1a706231062 . txt &quot;, # query_execution_id: &quot; a034610b - daaf - 4 c8d - aa61 - d1a706231062 &quot;, # rows: [], # statement_name: nil # } # With plain string query query = &quot; SELECT id , type , tags , members , timestamp , visible FROM planet WHERE id = 470454 and type = &#39;relation&#39; &quot; Req.post!(req, athena: query).body #=&gt; # %ReqAthena.Result{ # columns: [&quot; id &quot;, &quot; type &quot;, &quot; tags &quot;, &quot; members &quot;, &quot; timestamp &quot;, &quot; visible &quot;], # output_location: &quot; s3 :// my - bucket / c594d5df - 9879 - 4 bf7 - 8796 - 780 e0b87a673 . csv &quot;, # query_execution_id: &quot; c594d5df - 9879 - 4 bf7 - 8796 - 780 e0b87a673 &quot;, # rows: [ # [470454, &quot; relation &quot;, # &quot; { ref = 17229 A , site = geodesic , name = M érignac A , source = © IGN 2010 dans le cadre de la cartographie réglementaire , type = site , url = http :// geodesie . ign . fr / fiches / index . php? module = e &amp; action = fichepdf &amp; source = carte &amp; sit_no = 17229 A , network = NTF - 5 } &quot;, # &quot; [ { type = node , ref = 670007839 , role = } , { type = node , ref = 670007840 , role = } ] &quot;, # ~N[2017-01-21 12:51:34.000], true] # ], # statement_name: nil # } # With parameterized query query = &quot; SELECT id , type FROM planet WHERE id = ? and type = ?&quot; Req . post! ( req , athena : { query , [ 239_970_142 , &quot;node&quot; ] } ) . body #=&gt; # %ReqAthena.Result{ # columns: [&quot;id&quot;, &quot;type&quot;], # output_location: &quot;s3://my-bucket/dda41d66-1eea-4588-850a-945c9def9163.csv&quot;, # query_execution_id: &quot;dda41d66-1eea-4588-850a-945c9def9163&quot;, # rows: [[239970142, &quot;node&quot;]], # statement_name: &quot;query_C71EF77B8B7B92D9846C6D7E70136448&quot; # }","ref":"readme.html#usage","title":"ReqAthena - Usage","type":"extras"},{"doc":"Copyright (C) 2022 Dashbit Licensed under the Apache License , Version 2.0 ( the &quot;License&quot; ) ; you may not use this file except in compliance with the License . You may obtain a copy of the License at [ http :// www . apache . org / licenses / LICENSE - 2.0 ] ( http :// www . apache . org / licenses / LICENSE - 2.0 ) Unless required by applicable law or agreed to in writing , software distributed under the License is distributed on an &quot;AS IS&quot; BASIS , WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND , either express or implied . See the License for the specific language governing permissions and limitations under the License .","ref":"readme.html#license","title":"ReqAthena - License","type":"extras"}]